> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelrisksources

> Requires risk.read. The stored authorization header is never returned.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/risk/sources
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/risk/sources:
    get:
      tags:
        - panel
      description: Requires risk.read. The stored authorization header is never returned.
      operationId: listPanelBlocklistSources
      responses:
        '200':
          description: Blocklist sources
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelBlocklistSourceList'
        '403':
          $ref: '#/components/responses/Problem'
components:
  schemas:
    PanelBlocklistSourceList:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PanelBlocklistSource'
    PanelBlocklistSource:
      type: object
      required:
        - id
        - slug
        - displayName
        - subjectKind
        - url
        - authConfigured
        - enabled
        - refreshIntervalSeconds
        - entryCount
        - status
        - nextRefreshAt
      properties:
        id:
          type: string
          format: uuid
        slug:
          type: string
        displayName:
          type: string
        subjectKind:
          type: string
          enum:
            - telegram_id
            - email
            - username
        url:
          type: string
        authConfigured:
          type: boolean
        enabled:
          type: boolean
        refreshIntervalSeconds:
          type: integer
          format: int64
        entryCount:
          type: integer
        status:
          type: string
          enum:
            - pending
            - healthy
            - failing
        lastErrorCode:
          type: string
        lastRefreshAt:
          type: string
          format: date-time
        nextRefreshAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.